package com.dji.sdk.cloudapi.psdk;

/**
 * PSDK floating window text
 * 
 * @author sean
 * @version 1.7
 * @date 2023/10/16
 */
public class PsdkFloatingWindowText {

    /**
     * PSDK payload device index (0-3)
     */
    private Integer psdkIndex;

    /**
     * Floating window content
     */
    private String value;

    public PsdkFloatingWindowText() {
    }

    @Override
    public String toString() {
        return "PsdkFloatingWindowText{" +
                "psdkIndex=" + psdkIndex +
                ", value='" + value + '\'' +
                '}';
    }

    public Integer getPsdkIndex() {
        return psdkIndex;
    }

    public PsdkFloatingWindowText setPsdkIndex(Integer psdkIndex) {
        this.psdkIndex = psdkIndex;
        return this;
    }

    public String getValue() {
        return value;
    }

    public PsdkFloatingWindowText setValue(String value) {
        this.value = value;
        return this;
    }
}
